- !OutputStorage
  converted_components:
    ? &id002 !InstComponent
      cdef: &id006 !ComponentDefinition
        childs: []
        comments: []
        designs: []
        elem_comments: []
        goals: []
        name: blob
        needs: []
        parameters:
        - !ElementaryVariable
          comments: []
          is_property: true
          name: x
          pos: !Position {column: 9, fname: 'C:/ratio/python/raesl/tests/data/good_examples/cor_des_dep.esl',
            line: 30}
          vartype: &id001 !DerivedType
            comments: []
            name: foo
            parent: &id045 !Type {comments: null, name: real, pos: null}
            pos: !Position {column: 5, fname: 'C:/ratio/python/raesl/tests/data/good_examples/cor_des_dep.esl',
              line: 1}
        pos: !Position {column: 1, fname: 'C:/ratio/python/raesl/tests/data/good_examples/cor_des_dep.esl',
          line: 28}
        relations: []
        transformations: []
        variables: []
      comments: &id003 []
      comp_num: 1
      depth: 1
      designs: []
      end_comp_num: 2
      flow_set: !!set
        ? &id022 !ElementaryInstVariable
          comments: &id031 []
          cvar: &id015 !ElementaryVariable
            comments: ''
            is_property: false
            name: r
            pos: !Position {column: 9, fname: 'C:/ratio/python/raesl/tests/data/good_examples/cor_des_dep.esl',
              line: 8}
            vartype: *id001
          path: world.r
          property_owner: *id002
          var_number: 0
        : null
      goals: []
      needs: []
      path: world.blab
      relations: []
      transforms: []
    : &id004 !EslComponent
      children: []
      comments: *id003
      name: world.blab
      node_class: EslComponent
      parent: &id005 !EslComponent
        children:
        - *id004
        - &id009 !EslComponent
          children: []
          comments: &id007 []
          name: world.bleb
          node_class: EslComponent
          parent: *id005
        - &id011 !EslComponent
          children: []
          comments: &id010 []
          name: world.blib
          node_class: EslComponent
          parent: *id005
        - &id014 !EslComponent
          children: []
          comments: &id013 []
          name: world.blyb
          node_class: EslComponent
          parent: *id005
        comments: &id019 []
        name: world
        node_class: EslComponent
        parent: null
    ? &id008 !InstComponent
      cdef: *id006
      comments: *id007
      comp_num: 2
      depth: 1
      designs: []
      end_comp_num: 3
      flow_set: !!set
        ? &id023 !ElementaryInstVariable
          comments: &id029 []
          cvar: &id016 !ElementaryVariable
            comments: ''
            is_property: false
            name: s
            pos: !Position {column: 12, fname: 'C:/ratio/python/raesl/tests/data/good_examples/cor_des_dep.esl',
              line: 8}
            vartype: *id001
          path: world.s
          property_owner: *id008
          var_number: 1
        : null
      goals: []
      needs: []
      path: world.bleb
      relations: []
      transforms: []
    : *id009
    ? !InstComponent
      cdef: &id012 !ComponentDefinition
        childs: []
        comments: []
        designs: []
        elem_comments: []
        goals: []
        name: blub
        needs: []
        parameters:
        - !ElementaryVariable
          comments: []
          is_property: false
          name: x
          pos: !Position {column: 9, fname: 'C:/ratio/python/raesl/tests/data/good_examples/cor_des_dep.esl',
            line: 34}
          vartype: *id001
        pos: !Position {column: 1, fname: 'C:/ratio/python/raesl/tests/data/good_examples/cor_des_dep.esl',
          line: 32}
        relations: []
        transformations: []
        variables: []
      comments: *id010
      comp_num: 3
      depth: 1
      designs: []
      end_comp_num: 4
      flow_set: !!set
        ? &id024 !ElementaryInstVariable
          comments: &id039 []
          cvar: &id017 !ElementaryVariable
            comments: ''
            is_property: false
            name: t
            pos: !Position {column: 15, fname: 'C:/ratio/python/raesl/tests/data/good_examples/cor_des_dep.esl',
              line: 8}
            vartype: *id001
          path: world.t
          property_owner: null
          var_number: 2
        : null
      goals: []
      needs: []
      path: world.blib
      relations: []
      transforms: []
    : *id011
    ? !InstComponent
      cdef: *id012
      comments: *id013
      comp_num: 4
      depth: 1
      designs: []
      end_comp_num: 5
      flow_set: !!set
        ? &id025 !ElementaryInstVariable
          comments: &id040 []
          cvar: &id018 !ElementaryVariable
            comments: []
            is_property: false
            name: u
            pos: !Position {column: 18, fname: 'C:/ratio/python/raesl/tests/data/good_examples/cor_des_dep.esl',
              line: 8}
            vartype: *id001
          path: world.u
          property_owner: null
          var_number: 3
        : null
      goals: []
      needs: []
      path: world.blyb
      relations: []
      transforms: []
    : *id014
    ? !InstComponent
      cdef: !ComponentDefinition
        childs:
        - !ChildComponent
          arguments:
          - *id015
          comments: []
          component: *id006
          name: blab
          pos: !Position {column: 9, fname: 'C:/ratio/python/raesl/tests/data/good_examples/cor_des_dep.esl',
            line: 11}
        - !ChildComponent
          arguments:
          - *id016
          comments: []
          component: *id006
          name: bleb
          pos: !Position {column: 9, fname: 'C:/ratio/python/raesl/tests/data/good_examples/cor_des_dep.esl',
            line: 13}
        - !ChildComponent
          arguments:
          - *id017
          comments: []
          component: *id012
          name: blib
          pos: !Position {column: 9, fname: 'C:/ratio/python/raesl/tests/data/good_examples/cor_des_dep.esl',
            line: 15}
        - !ChildComponent
          arguments:
          - *id018
          comments: []
          component: *id012
          name: blyb
          pos: !Position {column: 9, fname: 'C:/ratio/python/raesl/tests/data/good_examples/cor_des_dep.esl',
            line: 17}
        comments: []
        designs:
        - &id020 !DesignFunction
          comments: []
          design_kind: requirement
          design_rules:
          - &id021 !DesignRule
            comparison: '>='
            is_be: must
            unit: null
            value: null
            var1: *id015
            var2: *id016
          label: dr-0
          label_pos: !Position {column: 9, fname: 'C:/ratio/python/raesl/tests/data/good_examples/cor_des_dep.esl',
            line: 21}
          subclauses: []
        elem_comments: []
        goals: []
        name: null
        needs: []
        parameters: []
        pos: !Position {column: 1, fname: 'C:/ratio/python/raesl/tests/data/good_examples/cor_des_dep.esl',
          line: 6}
        relations:
        - !Relation
          arguments:
          - *id015
          - *id017
          - *id018
          comments: []
          label: rlt-0
          label_pos: !Position {column: 9, fname: 'C:/ratio/python/raesl/tests/data/good_examples/cor_des_dep.esl',
            line: 24}
          rel_def: &id026 !RelationDefinition
            comments: &id037 []
            name: zap
            pos: !Position {column: 5, fname: 'C:/ratio/python/raesl/tests/data/good_examples/cor_des_dep.esl',
              line: 4}
        transformations: []
        variables:
        - *id015
        - *id016
        - *id017
        - *id018
      comments: *id019
      comp_num: 0
      depth: 0
      designs:
      - &id027 !InstDesignFunc
        cdes: *id020
        comments: &id028 []
        des_rules:
        - &id033 !InstDesignRule
          cdesrule: *id021
          comments: []
          var1_set: !!set
            *id022: null
          var2_set: !!set
            *id023: null
        path: world.dr-0
        subclauses: []
      end_comp_num: 5
      flow_set: !!set
        *id022: null
        *id023: null
        *id024: null
        *id025: null
      goals: []
      needs: []
      path: world
      relations:
      - &id035 !InstRelation
        comments: &id036 []
        crel: *id026
        path: world.rlt-0
        variable_set: !!set
          *id022: null
          *id024: null
          *id025: null
      transforms: []
    : *id005
  converted_design_funcs:
    *id027: &id030 !EslDesign
      comments: *id028
      design_rules:
      - &id034 !EslDesignRule
        bound_value: null
        bound_variable: &id042 !EslVariable
          comments: *id029
          name: world.s
          node_class: EslVariable
          property_owner: *id009
          var_type: &id032 !EslVariableType
            comments: null
            name: foo
            node_class: EslVariableType
            parent: &id046 !EslVariableType {comments: null, name: real, node_class: EslVariableType,
              parent: null}
        clause: *id030
        comparison: '>='
        name: world.dr-0.dr0
        node_class: EslDesignRule
        predicate: must be
        subject_var: &id038 !EslVariable
          comments: *id031
          name: world.r
          node_class: EslVariable
          property_owner: *id004
          var_type: *id032
        unit: null
      name: world.dr-0
      node_class: EslDesignRequirement
      subclauses: []
  converted_design_rules:
    *id033:
    - *id034
  converted_goals: {}
  converted_needs: {}
  converted_relations:
    *id035: &id047 !EslRelation
      comments: *id036
      name: world.rlt-0
      node_class: EslRelation
      relation_type: &id041 !EslRelationType
        comments: *id037
        name: zap
        node_class: EslRelationType
      variables:
      - *id038
      - &id043 !EslVariable
        comments: *id039
        name: world.t
        node_class: EslVariable
        property_owner: null
        var_type: *id032
      - &id044 !EslVariable
        comments: *id040
        name: world.u
        node_class: EslVariable
        property_owner: null
        var_type: *id032
  converted_reltypes:
    *id026: *id041
  converted_transforms: {}
  converted_variables:
    *id022: *id038
    *id023: *id042
    *id024: *id043
    *id025: *id044
  converted_vartypes:
    *id045: *id046
    *id001: *id032
  file_root: !EslFile
    edges:
    - !EslEdge
      destination: *id004
      edge_class: EslCoordinationDependency
      reasons:
      - !EslSharedVariableReason
        reason: EslSharedVariable
        variables:
        - *id038
      source: *id005
    - !EslEdge
      destination: *id009
      edge_class: EslCoordinationDependency
      reasons:
      - !EslSharedVariableReason
        reason: EslSharedVariable
        variables:
        - *id042
      source: *id005
    - !EslEdge
      destination: *id011
      edge_class: EslCoordinationDependency
      reasons:
      - !EslSharedVariableReason
        reason: EslSharedVariable
        variables:
        - *id043
      - !EslRelationReason
        reason: EslRelation
        relation: *id047
        variables:
        - *id038
        - *id043
        - *id044
      source: *id005
    - !EslEdge
      destination: *id014
      edge_class: EslCoordinationDependency
      reasons:
      - !EslSharedVariableReason
        reason: EslSharedVariable
        variables:
        - *id044
      - !EslRelationReason
        reason: EslRelation
        relation: *id047
        variables:
        - *id038
        - *id043
        - *id044
      source: *id005
    - !EslEdge
      destination: *id005
      edge_class: EslCoordinationDependency
      reasons:
      - !EslSharedVariableReason
        reason: EslSharedVariable
        variables:
        - *id038
      source: *id004
    - !EslEdge
      destination: *id005
      edge_class: EslCoordinationDependency
      reasons:
      - !EslSharedVariableReason
        reason: EslSharedVariable
        variables:
        - *id042
      source: *id009
    - !EslEdge
      destination: *id005
      edge_class: EslCoordinationDependency
      reasons:
      - !EslSharedVariableReason
        reason: EslSharedVariable
        variables:
        - *id043
      - !EslRelationReason
        reason: EslRelation
        relation: *id047
        variables:
        - *id038
        - *id043
        - *id044
      source: *id011
    - !EslEdge
      destination: *id014
      edge_class: EslCoordinationDependency
      reasons:
      - !EslRelationReason
        reason: EslRelation
        relation: *id047
        variables:
        - *id043
        - *id044
      source: *id011
    - !EslEdge
      destination: *id005
      edge_class: EslCoordinationDependency
      reasons:
      - !EslSharedVariableReason
        reason: EslSharedVariable
        variables:
        - *id044
      - !EslRelationReason
        reason: EslRelation
        relation: *id047
        variables:
        - *id038
        - *id043
        - *id044
      source: *id014
    - !EslEdge
      destination: *id011
      edge_class: EslCoordinationDependency
      reasons:
      - !EslRelationReason
        reason: EslRelation
        relation: *id047
        variables:
        - *id043
        - *id044
      source: *id014
    - !EslEdge
      destination: *id004
      edge_class: EslDesignDependency
      reasons:
      - !EslRelationReason
        reason: EslRelation
        relation: *id047
        variables:
        - *id038
        - *id043
        - *id044
      - &id049 !EslDesignRuleReason
        design_rule: *id034
        reason: EslDesignRule
      source: *id005
    - !EslEdge
      destination: *id009
      edge_class: EslDesignDependency
      reasons:
      - &id048 !EslDesignRuleReason
        design_rule: *id034
        reason: EslDesignRule
      source: *id005
    - !EslEdge
      destination: *id005
      edge_class: EslDesignDependency
      reasons:
      - *id048
      source: *id009
    - !EslEdge
      destination: *id005
      edge_class: EslDesignDependency
      reasons:
      - *id049
      - !EslRelationReason
        reason: EslRelation
        relation: *id047
        variables:
        - *id038
        - *id043
        - *id044
      source: *id004
    - !EslEdge
      destination: *id009
      edge_class: EslDesignDependency
      reasons:
      - &id050 !EslDesignRuleReason
        design_rule: *id034
        reason: EslDesignRule
      source: *id004
    - !EslEdge
      destination: *id004
      edge_class: EslDesignDependency
      reasons:
      - *id050
      source: *id009
    - !EslEdge
      destination: *id011
      edge_class: EslDesignDependency
      reasons:
      - !EslRelationReason
        reason: EslRelation
        relation: *id047
        variables:
        - *id038
        - *id043
      source: *id004
    - !EslEdge
      destination: *id014
      edge_class: EslDesignDependency
      reasons:
      - !EslRelationReason
        reason: EslRelation
        relation: *id047
        variables:
        - *id038
        - *id044
      source: *id004
    - !EslEdge
      destination: *id004
      edge_class: EslDesignDependency
      reasons:
      - !EslRelationReason
        reason: EslRelation
        relation: *id047
        variables:
        - *id038
        - *id043
      source: *id011
    - !EslEdge
      destination: *id004
      edge_class: EslDesignDependency
      reasons:
      - !EslRelationReason
        reason: EslRelation
        relation: *id047
        variables:
        - *id038
        - *id044
      source: *id014
    - !EslEdge
      destination: *id042
      edge_class: EslDesignDependency
      reasons:
      - !EslDesignRuleReason
        design_rule: *id034
        reason: EslDesignRule
      source: *id038
    - !EslEdge
      destination: *id043
      edge_class: EslDesignDependency
      reasons:
      - !EslRelationReason
        reason: EslRelation
        relation: *id047
        variables: []
      source: *id038
    - !EslEdge
      destination: *id044
      edge_class: EslDesignDependency
      reasons:
      - !EslRelationReason
        reason: EslRelation
        relation: *id047
        variables: []
      source: *id038
    - !EslEdge
      destination: *id038
      edge_class: EslDesignDependency
      reasons:
      - !EslRelationReason
        reason: EslRelation
        relation: *id047
        variables: []
      source: *id043
    - !EslEdge
      destination: *id044
      edge_class: EslDesignDependency
      reasons:
      - !EslRelationReason
        reason: EslRelation
        relation: *id047
        variables: []
      source: *id043
    - !EslEdge
      destination: *id038
      edge_class: EslDesignDependency
      reasons:
      - !EslRelationReason
        reason: EslRelation
        relation: *id047
        variables: []
      source: *id044
    - !EslEdge
      destination: *id043
      edge_class: EslDesignDependency
      reasons:
      - !EslRelationReason
        reason: EslRelation
        relation: *id047
        variables: []
      source: *id044
    - !EslEdge
      destination: *id038
      edge_class: EslMappingRelation
      reasons:
      - &id051 !EslUsageReason {reason: EslUsage}
      source: *id005
    - !EslEdge
      destination: *id042
      edge_class: EslMappingRelation
      reasons:
      - *id051
      source: *id005
    - !EslEdge
      destination: *id043
      edge_class: EslMappingRelation
      reasons:
      - *id051
      source: *id005
    - !EslEdge
      destination: *id044
      edge_class: EslMappingRelation
      reasons:
      - *id051
      source: *id005
    - !EslEdge
      destination: *id038
      edge_class: EslMappingRelation
      reasons:
      - *id051
      source: *id004
    - !EslEdge
      destination: *id042
      edge_class: EslMappingRelation
      reasons:
      - *id051
      source: *id009
    - !EslEdge
      destination: *id043
      edge_class: EslMappingRelation
      reasons:
      - *id051
      source: *id011
    - !EslEdge
      destination: *id044
      edge_class: EslMappingRelation
      reasons:
      - *id051
      source: *id014
    - !EslEdge
      destination: *id030
      edge_class: EslMappingRelation
      reasons:
      - !EslSharedVariableReason
        reason: EslSharedVariable
        variables:
        - *id038
        - *id042
      source: *id005
    - !EslEdge
      destination: *id030
      edge_class: EslMappingRelation
      reasons:
      - !EslSharedVariableReason
        reason: EslSharedVariable
        variables:
        - *id038
      source: *id004
    - !EslEdge
      destination: *id030
      edge_class: EslMappingRelation
      reasons:
      - !EslSharedVariableReason
        reason: EslSharedVariable
        variables:
        - *id042
      source: *id009
    - !EslEdge
      destination: *id047
      edge_class: EslMappingRelation
      reasons:
      - !EslSharedVariableReason
        reason: EslSharedVariable
        variables:
        - *id038
        - *id043
        - *id044
      source: *id005
    - !EslEdge
      destination: *id047
      edge_class: EslMappingRelation
      reasons:
      - !EslSharedVariableReason
        reason: EslSharedVariable
        variables:
        - *id038
      source: *id004
    - !EslEdge
      destination: *id047
      edge_class: EslMappingRelation
      reasons:
      - !EslSharedVariableReason
        reason: EslSharedVariable
        variables:
        - *id043
      source: *id011
    - !EslEdge
      destination: *id047
      edge_class: EslMappingRelation
      reasons:
      - !EslSharedVariableReason
        reason: EslSharedVariable
        variables:
        - *id044
      source: *id014
    - !EslEdge
      destination: *id038
      edge_class: EslMappingRelation
      reasons:
      - &id052 !EslUsageReason {reason: EslUsage}
      source: *id030
    - !EslEdge
      destination: *id042
      edge_class: EslMappingRelation
      reasons:
      - *id052
      source: *id030
    - !EslEdge
      destination: *id038
      edge_class: EslMappingRelation
      reasons:
      - &id053 !EslUsageReason {reason: EslUsage}
      source: *id047
    - !EslEdge
      destination: *id043
      edge_class: EslMappingRelation
      reasons:
      - *id053
      source: *id047
    - !EslEdge
      destination: *id044
      edge_class: EslMappingRelation
      reasons:
      - *id053
      source: *id047
    - !EslEdge
      destination: *id047
      edge_class: EslMappingRelation
      reasons:
      - !EslSharedVariableReason
        reason: EslSharedVariable
        variables:
        - *id038
      source: *id030
    nodes:
    - *id004
    - *id046
    - *id032
    - *id038
    - *id009
    - *id042
    - *id011
    - *id014
    - *id005
    - *id041
    - *id043
    - *id044
    - *id047
    - *id034
    - *id030
- {version: 0.0.1}
